--Alter table alert_definition to add the locale column.
ALTER TABLE alert_definition ADD COLUMN locale character varying(10);
--Set the locale to en for earlier definitions.
update alert_definition set locale = 'en';
--Drop the existing primary key
ALTER TABLE alert_definition DROP CONSTRAINT alert_definition_pkey CASCADE;
--Create the new primary key with alert definition id and locale
ALTER TABLE alert_definition ADD CONSTRAINT alert_definition_pkey PRIMARY KEY (alert_definition_id, locale);
ALTER TABLE alert_definition ALTER COLUMN "description" TYPE character varying(600);
--Create table SNMP_EVENT to store the snmp trap format strings to localize snmp traps messages sent as events to vCenter.
CREATE TABLE snmp_event
(
  snmp_event_id bigint NOT NULL,
  enterprise_oid character varying(128),
  generic_trap_id integer,
  specific_trap_id integer,
  event_definition_id bigint,
  format_string character varying(2560),
  locale character varying(10),
  CONSTRAINT snmp_event_pkey PRIMARY KEY (snmp_event_id)
)
WITHOUT OIDS;
ALTER TABLE snmp_event OWNER TO vcenter_admin;

CREATE SEQUENCE SEQ_SNMP_EVENT
  MINVALUE 1000
  MAXVALUE 999999999999
  START WITH 1000
  NO CYCLE;
  ALTER TABLE SEQ_SNMP_EVENT OWNER TO vcenter_admin;
  
BEGIN TRANSACTION;
  DELETE FROM snmp_event;
END TRANSACTION;

ALTER TABLE host_compliance_info ALTER host_ip_name TYPE character varying(256);