ALTER TABLE alert_definition ALTER COLUMN "description" TYPE character varying(600);

ALTER TABLE host_compliance_info ALTER COLUMN "hypervisor_version" TYPE character varying(100);

CREATE TABLE event_map
(
  event_map_id integer NOT NULL,
  original_event_definition_id integer NOT NULL,
  mapped_event_definition_id integer NOT NULL,
  CONSTRAINT event_map_pkey PRIMARY KEY (event_map_id)
)
WITHOUT OIDS;
ALTER TABLE event_map OWNER TO vcenter_admin;

CREATE SEQUENCE seq_alert_definition CYCLE
   CACHE 600;
ALTER TABLE seq_alert_definition OWNER TO vcenter_admin;

CREATE OR REPLACE VIEW v_alert_definition AS 
 SELECT nextval('seq_alert_definition') as alert_id, alert_definition.alert_definition_id, alert_definition.description, alert_definition.name, alert_definition.alert_action_id, alert_definition.severity_id, event_map.original_event_definition_id, alert_definition.locale
   FROM event_map, alert_definition
  WHERE event_map.mapped_event_definition_id = alert_definition.event_definition_id;

ALTER TABLE v_alert_definition OWNER TO vcenter_admin;

ALTER TABLE host_compliance_info ADD COLUMN "csior_reboot_status" boolean default false;