#!/bin/bash

THIS_DIR=$(cd $(dirname $0); pwd)


echo "**********************************************"
echo " Running VCenter Database Scripts $(date) "
echo "**********************************************"

if [ ! -f /etc/sysconfig/spectre-lame ]; then

 echo "Copying Trust File into /var/lib/pgsql/data/"
 cp $THIS_DIR/pg_hba.conf.trust /var/lib/pgsql/data/pg_hba.conf

 echo "Restarting the Database"
 service postgresql restart
  
 array=($THIS_DIR/DBScripts/DBVCenter/01CreateDB/* $THIS_DIR/DBScripts/DBVCenter/02CreateTables/* $THIS_DIR/DBScripts/DBVCenter/03PopulateData/* $THIS_DIR/DBScripts/DBVCenter/04CreateViews/* $THIS_DIR/DBScript/DBVCenter/05CreateFunctions/* $THIS_DIR/DBScripts/DBVCenter/1.0.1Upgrade/*SchemaChanges.sql $THIS_DIR/DBScripts/DBVCenter/1.0.1Upgrade/*DataChanges.sql $THIS_DIR/DBScripts/DBVCenter/1.0.1.1Upgrade/*SchemaChanges.sql $THIS_DIR/DBScripts/DBVCenter/1.0.1.1Upgrade/*DataChanges.sql $THIS_DIR/DBScripts/DBVCenter/1.0.2Upgrade/*SchemaChanges.sql $THIS_DIR/DBScripts/DBVCenter/1.0.2Upgrade/*DataChanges.sql $THIS_DIR/DBScripts/DBVCenter/1.5.1Upgrade/*SchemaChanges.sql $THIS_DIR/DBScripts/DBVCenter/1.5.1Upgrade/*DataChanges.sql $THIS_DIR/DBScripts/DBVCenter/1.5.2Upgrade/*DataChanges.sql $THIS_DIR/DBScripts/DBVCenter/1.6.0Upgrade/*DataChanges.sql $THIS_DIR/DBScripts/DBVCenter/1.7.0Upgrade/*SchemaChanges.sql $THIS_DIR/DBScripts/DBVCenter/1.7.0Upgrade/*DataChanges.sql $THIS_DIR/DBScripts/DBVCenter/2.0.0Upgrade/*SchemaChanges.sql $THIS_DIR/DBScripts/DBVCenter/2.0.0Upgrade/*DataChanges.sql)
 
# exec &>$THIS_DIR/dbScript_log.log

len=${#array[*]}

# echo "The Number of script files are: $len"

echo  "                                     "

# Role, Database and plpgsql are static. therefore we execute outsite the loop.
echo  "Creating role..."
/usr/bin/psql -h localhost -U postgres -d postgres -f "$THIS_DIR/DBScripts/DBVCenter/01CreateDB/01RoleCreation.sql"
echo  "Creating VCenterDB..."
/usr/bin/psql -h localhost -U postgres -d postgres -f "$THIS_DIR/DBScripts/DBVCenter/01CreateDB/02DBCreation.sql"
echo  "Adding plpgsql to VCenterDB..."
/usr/bin/createlang plpgsql -U postgres -d VCenterDB

i=0

      while [ $i -lt $len ]; do
	
         
        echo "${array[$i]}"

        if  [ ${array[$i]:${#array[$i]}-3:3} = "txt" ] ; then
                echo "Skip this one"
        else if [ ${array[$i]:${#array[$i]}-3:3} = "sql" ] ; then
                /usr/bin/psql -h localhost -U postgres -d VCenterDB -f "${array[$i]}"
		else
               echo Not Executable    
            fi
       fi  
       let i++
   done

fi
# end if not exist /etc/sysconfig/spectre-lame

  echo "**********************************************"
 echo "Copying Production File into /var/lib/pgsql/data/"
 cp $THIS_DIR/pg_hba.conf.prd /var/lib/pgsql/data/pg_hba.conf

 echo "**********************************************"
 echo "Copying postgresql.conf into /var/lib/pgsql/data/"
 cp $THIS_DIR/postgresql.conf /var/lib/pgsql/data/postgresql.conf
 
echo "Restarting the Database"
service postgresql restart

sleep 15

service tomcatSpectre restart

echo  "**********************************************"
echo   " VCenter Database Scripts Ended $(date)"
